Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224143 - rebuild fails on rawhide
Summary: rebuild fails on rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: amanda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Brich
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-24 13:22 UTC by Karsten Hopp
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-22 13:54:00 UTC


Attachments (Terms of Use)

Description Karsten Hopp 2007-01-24 13:22:23 UTC
Description of problem:
current automake expects to find ylwrap in the working directory:

+ automake
changer-src/Makefile.am:47: compiling `chg-scsi.c' with per-target flags
requires `AM_PROG_CC_C_O' in `configure.in'
man/Makefile.am:91: `%'-style pattern rules are a GNU make extension
man/Makefile.am:94: `%'-style pattern rules are a GNU make extension
configure.in: required file `config/ylwrap' not found
configure.in:   `automake --add-missing' can install `ylwrap'
´error: Bad exit status from /var/tmp/amanda-2.5.0p2-4.src.rpm/rpm-tmp.99995 (%prep)

Comment 1 Radek Brich 2007-06-21 10:55:24 UTC
Build is now successful on rawhide, but it's not okay.

The older PIE patch isn't now used at all--it modifies configure.in/Makefile.am
 but autoconf/automake isn't run.

In older RPMs there is always something like this in spec's %prep section:
libtoolize --copy --force
aclocal
automake
autoconf

In rawhide's version these are gone and configure script is generated by
nonavailable autotools1.9 so it cannot regenerate Makefile.in's at its own.

Posible solution is to add ./autogen to %prep section and modify it so it
installs ylwrap automaticaly--by adding --install parameter to autoreconf line.


Comment 2 Radek Brich 2007-06-22 14:01:48 UTC
fixed in 2.5.2p1-2.fc8


Note You need to log in before you can comment on or make changes to this bug.